(
global SMTDSettings
global SMTDFunctions
	
local PhoenixFDObjectsToSim = for o in selection where classof o == LiquidSim or classof o == FireSmokeSim collect o.name	
if PhoenixFDObjectsToSim.count == 0 do return "No Phoenix Objects Selected!"
local theNetworkRoot = @"H:\DeadlineRepository"
local remoteScript = theNetworkRoot + @"\submission\3dsmax\main\SubmitMaxToDeadline_Functions.ms"
local localScript = getDir #userscripts + "\\SubmitMaxToDeadline_Functions.ms"
if doesFileExist remoteScript do
(
if SMTDFunctions == undefined do
(
deleteFile localScript
copyFile remoteScript localScript
fileIn localScript
)

SMTDFunctions.loadSettings()
SMTDSettings.JobName = maxFileName + " [PhoenixFD Simulation]" 
SMTDSettings.Comment = "Simulating PhoenixFD"
SMTDSettings.Priority = 50
SMTDSettings.ChunkSize = 1
SMTDSettings.SubmitAsMXSJob = true
renderSceneDialog.close()
rendTimeType = 3
rendStart = 1
rendEnd = PhoenixFDObjectsToSim.count 
local MAXScriptFile = @"H:\Assets\Scripts\MAX\Phoenix\PhoenixFDSubmissionMS.ms"

local maxFileToSubmit = SMTDPaths.tempdir + maxFileName
SMTDFunctions.SaveMaxFileCopy maxFileToSubmit

local SubmitInfoFile = SMTDPaths.tempdir + "\\max_submit_info.job"
local JobInfoFile = SMTDPaths.tempdir+ "\\max_job_info.job"

SMTDFunctions.CreateSubmitInfoFile SubmitInfoFile
SMTDFunctions.CreateJobInfoFile JobInfoFile
theHandle = openFile JobInfoFile mode:"at"
with printAllElements on format "PhoenixFDToSimulate=%" PhoenixFDObjectsToSim to:theHandle
close theHandle

local initialArgs = "\""+SubmitInfoFile+"\" \""+JobInfoFile+"\" \""+maxFileToSubmit+ "\" \""+ MAXScriptFile +"\" " 
local result = SMTDFunctions.waitForCommandToComplete initialArgs SMTDSettings.TimeoutSubmission

local renderMsg = SMTDFunctions.getRenderMessage() 
SMTDFunctions.getJobIDFromMessage renderMsg

if result == #success then 
(
format "Submitted successfully as Job %.\n\n%\n\n" \
SMTDSettings.DeadlineSubmissionLastJobID renderMsg
)
else 
format "Job Submission FAILED.\n\n%" renderMsg 
)
)--end script